% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/randomGODB.R
\name{randomGODB}
\alias{randomGODB}
\title{randomGODB}
\usage{
randomGODB(GOGOA3, verbose = TRUE)
}
\arguments{
\item{GOGOA3}{return value of minimalistGODB::buildGODatabase()}

\item{verbose}{Boolean if TRUE print out some information}
}
\value{
description
}
\description{
driver to construct a randomized version of GOGOA3
}
\details{
The results of characterizeDB() show that a gene mapping to a leaf node maps
to only around 10\% of the ancestors. So I do not need to use a more sophisticated
method to generate a random database. That is, I do not need to maintain a
consistency between leaf and ancestor mappings. Therefore a very simple randomization
\itemize{
\item simply scrambling the genes in an ontology of GOGOA3 will suffice.
}
}
\examples{
\dontrun{
# GOGOA3.RData is too large to include in the R package
# so I need to load it from a file that is not in the package.
# Since this is in a file in my own file system, I could not
# include this as a regular example in the package.
# This example is given in full detail in the package vignette.
# You can generate GOGOA3.RData using the package 'minimalistGODB'
# or you can retrieve it from https://github.com/barryzee/GO/databases
dir<-"/Users/barryzeeberg/personal/GODB_RDATA/goa_human/"
load(sprintf("\%s/\%s",dir,"GOGOA3_goa_human.RData"))
GOGOA3R<-randomGODB(GOGOA3)
}

}
